Remove Logger
Removes a specified logger. Administrator privileges are required to call this API.
Required Permissions
Requires the ADMIN role or higher.
HTTP Request
DELETE /api/sonar/loggers/:guid
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
-X DELETE https://HOSTNAME/api/sonar/loggers/b90ea540-4f47-4bcf-b708-af610a649c50
Request Parameters
| Key | Required | Type | Description | Note |
|---|---|---|---|---|
| guid | O | String | Logger identifier | 36-characters GUID |
| drop_table | X | Boolean | Whether to drop table as well | Default: false |
Success Response
{}
Logger identifier is not in valid GUID format
HTTP status code 400
{
"error_code": "invalid-param-type",
"error_msg": "guid should be guid type."
}
No administrator privileges
HTTP status code 500
{
"error_code": "illegal-state",
"error_msg": "no-permission"
}